> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Proxy List By ID

> This endpoint retrieves a list of proxies assigned to the current user (or a specified
customer) based on the proxy IDs.

This endpoint is intentionally a POST even though it only retrieves data since it needs to larger lists of UUIDs.




## OpenAPI

````yaml post /public/user/proxy/list_by_id
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy/list_by_id:
    post:
      tags:
        - Proxy
      summary: Generate Proxy List By ID
      description: >
        This endpoint retrieves a list of proxies assigned to the current user
        (or a specified

        customer) based on the proxy IDs.


        This endpoint is intentionally a POST even though it only retrieves data
        since it needs to larger lists of UUIDs.
      parameters:
        - name: Content-Type
          in: header
          description: Content type for the request body as application/json.
          required: true
          schema:
            type: string
            default: application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                list_authentication:
                  type: string
                  description: Authentication type for the proxies in the returned list.
                  example: username_and_password
                  default: username_and_password
                  enum:
                    - username_and_password
                    - ip_address
                    - proxy_specific
                list_format:
                  type: string
                  description: >-
                    Desired format for displaying the proxies in the returned
                    list.
                  example: standard
                  default: standard
                  enum:
                    - standard
                    - http
                    - socks5
                    - socks5h
                list_protocol:
                  type: string
                  description: Desired protocol for the proxies in the returned list.
                  example: http
                  default: http
                  enum:
                    - http
                    - socks5
                list_version:
                  type: string
                  description: IP version preference.
                  example: ipv4
                  default: ipv4
                  enum:
                    - ipv4
                    - ipv6
                proxy_ids:
                  type: array
                  description: List of proxy UUIDs to retrieve.
                  example:
                    - 19efadd4-5814-4986-90be-4460e7d05c29
                    - 1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3
                  items:
                    type: string
                proxy_user_id:
                  type: string
                  description: >-
                    ID of the proxy_user used for authentication with the
                    proxies.
                  example: some_proxy_user_id
        required: true
      responses:
        '200':
          description: Successfully generated proxy list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: The resulting list of proxies in the requested format.
                    example:
                      - socks5://user:password@17.253.94.0:8080
                    items:
                      type: string
                  message:
                    type: string
                    description: Success message.
                    example: Proxy list successfully generated.
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````